<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.oa.mapper.AttendanceShiftSegmentMapper">

    <resultMap id="BaseResultMap" type="cn.com.oa.model.AttendanceShiftSegment">
            <id property="segmentId" column="segment_id" jdbcType="BIGINT"/>
            <result property="segmentCode" column="segment_code" jdbcType="VARCHAR"/>
            <result property="segmentName" column="segment_name" jdbcType="VARCHAR"/>
            <result property="attTypeId" column="att_type_id" jdbcType="BIGINT"/>
            <result property="attRuleId" column="att_rule_id" jdbcType="BIGINT"/>
            <result property="workTime" column="work_time" jdbcType="VARCHAR"/>
            <result property="intervalTime" column="interval_time" jdbcType="VARCHAR"/>
            <result property="segmentColer" column="segment_coler" jdbcType="VARCHAR"/>
            <result property="workDays" column="work_days" jdbcType="VARCHAR"/>
            <result property="segmentUse" column="segment_use" jdbcType="VARCHAR"/>
            <result property="segmentStatus" column="segment_status" jdbcType="CHAR"/>
            <result property="isDefault" column="is_default" jdbcType="CHAR"/>
            <result property="createUser" column="create_user" jdbcType="BIGINT"/>
            <result property="createDate" column="create_date" jdbcType="TIMESTAMP"/>
            <result property="unitId" column="unit_id" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        segment_id,segment_code,segment_name,
        att_type_id,att_rule_id,work_time,
        interval_time,segment_coler,work_days,
        segment_use,segment_status,is_default,
        create_user,create_date,unit_id
    </sql>
</mapper>
